summaryrefslogtreecommitdiffstats
path: root/foreman
diff options
context:
space:
mode:
authorDaniel Farrell <dfarrell@redhat.com>2015-06-01 13:58:16 -0400
committerDaniel Farrell <dfarrell@redhat.com>2015-06-01 14:04:46 -0400
commit84c696507fb513e6a76e6e50e5c65397cb45a381 (patch)
tree6789e466131eb10ff2b55271df10db59f08fda1a /foreman
parent8aa7febc9aaf75d8b2ebaf8c60631384fce46fff (diff)
Pin software dep versions, various Foreman scripts
Software released under 'Arno' should be pinned to at least the major version, to guarantee API backwards compatibility. I believe this commit covers the remaining dependency installs done by Foreman. JIRA: BGS-54 Change-Id: I616f4d201dab2ebf6c0b38b9a5aaa1510ba59bfd Signed-off-by: Daniel Farrell <dfarrell@redhat.com>
Diffstat (limited to 'foreman')
-rwxr-xr-xforeman/ci/clean.sh5
-rwxr-xr-xforeman/ci/nat_setup.sh5
-rwxr-xr-xforeman/ci/vm_nodes_provision.sh29
3 files changed, 17 insertions, 22 deletions
diff --git a/foreman/ci/clean.sh b/foreman/ci/clean.sh
index 3f3c879..f61ac93 100755
--- a/foreman/ci/clean.sh
+++ b/foreman/ci/clean.sh
@@ -51,9 +51,10 @@ esac
done
-##install ipmitool
+# Install ipmitool
+# Major version is pinned to force some consistency for Arno
if ! yum list installed | grep -i ipmitool; then
- if ! yum -y install ipmitool; then
+ if ! yum -y install ipmitool-1*; then
echo "${red}Unable to install ipmitool!${reset}"
exit 1
fi
diff --git a/foreman/ci/nat_setup.sh b/foreman/ci/nat_setup.sh
index 398a826..349e416 100755
--- a/foreman/ci/nat_setup.sh
+++ b/foreman/ci/nat_setup.sh
@@ -17,8 +17,9 @@ fi
systemctl disable firewalld
-##install iptables
-if ! yum -y install iptables-services; then
+# Install iptables
+# Major version is pinned to force some consistency for Arno
+if ! yum -y install iptables-services-1*; then
printf '%s\n' 'nat_setup.sh: Unable to install iptables-services' >&2
exit 1
fi
diff --git a/foreman/ci/vm_nodes_provision.sh b/foreman/ci/vm_nodes_provision.sh
index 8b24aed..d0bba64 100755
--- a/foreman/ci/vm_nodes_provision.sh
+++ b/foreman/ci/vm_nodes_provision.sh
@@ -36,29 +36,22 @@ if ! ping www.google.com -c 5; then
exit 1
fi
-##install EPEL
-if ! yum repolist | grep "epel/"; then
- if ! rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm; then
- printf '%s\n' 'vm_provision_nodes.sh: Unable to configure EPEL repo' >&2
- exit 1
- fi
-else
- printf '%s\n' 'vm_nodes_provision.sh: Skipping EPEL repo as it is already configured.'
-fi
+# Install EPEL repo for access to many other yum repos
+# Major version is pinned to force some consistency for Arno
+yum install -y epel-release-7*
-##install device-mapper-libs
-##needed for libvirtd on compute nodes
-if ! yum -y upgrade device-mapper-libs; then
+# Update device-mapper-libs, needed for libvirtd on compute nodes
+# Major version is pinned to force some consistency for Arno
+if ! yum -y upgrade device-mapper-libs-1*; then
echo "${red} WARN: Unable to upgrade device-mapper-libs...nova-compute may not function ${reset}"
fi
+# Install other required packages
+# Major version is pinned to force some consistency for Arno
echo "${blue} Installing Puppet ${reset}"
-##install puppet
-if ! yum list installed | grep -i puppet; then
- if ! yum -y install puppet; then
- printf '%s\n' 'vm_nodes_provision.sh: Unable to install puppet package' >&2
- exit 1
- fi
+if ! yum install -y puppet-3*; then
+ printf '%s\n' 'vm_nodes_provision.sh: failed to install required packages' >&2
+ exit 1
fi
echo "${blue} Configuring puppet ${reset}"